/*
 * Copyright 2017, Yahoo Inc.
 * Copyrights licensed under the New BSD License.
 * See the accompanying LICENSE file for terms.
 */
module.exports = function load(global) {global.Intl && global.Intl._localeData && global.Intl._localeData.load({
    "locales": {
        "ja": {
            "gmtFormat": "GMT{0}",
            "gmtZeroFormat": "GMT",
            "zone": {
                "Europe/Dublin": "|7m||",
                "Europe/London": "|7n||"
            },
            "metazone": {
                "Acre": "1|3s||",
                "Afghanistan": "2|||",
                "Africa_Central": "3|||",
                "Africa_Eastern": "4|||",
                "Africa_Southern": "5|||",
                "Africa_Western": "6|7||",
                "Alaska": "8|9||",
                "Almaty": "a|b||",
                "Amazon": "c|d||",
                "America_Central": "e|f||",
                "America_Eastern": "g|h||",
                "America_Mountain": "i|j||",
                "America_Pacific": "k|l||",
                "Anadyr": "m|n||",
                "Apia": "o|p||",
                "Aqtau": "q|r||",
                "Aqtobe": "s|t||",
                "Arabian": "u|v||",
                "Argentina": "10|11||",
                "Argentina_Western": "12|13||",
                "Armenia": "14|15||",
                "Atlantic": "16|17||",
                "Australia_Central": "18|19||",
                "Australia_CentralWestern": "1a|1b||",
                "Australia_Eastern": "1c|1d||",
                "Australia_Western": "1e|1f||",
                "Azerbaijan": "1g|1h||",
                "Azores": "1i|1j||",
                "Bangladesh": "1k|1l||",
                "Bhutan": "1m|||",
                "Bolivia": "1n|||",
                "Brasilia": "1o|1p||",
                "Brunei": "1q|||",
                "Cape_Verde": "1r|1s||",
                "Casey": "1t|||",
                "Chamorro": "1u|||",
                "Chatham": "1v|20||",
                "Chile": "21|22||",
                "China": "23|24||",
                "Choibalsan": "25|26||",
                "Christmas": "27|||",
                "Cocos": "28|||",
                "Colombia": "29|2a||",
                "Cook": "2b|2c||",
                "Cuba": "2d|2e||",
                "Davis": "2f|||",
                "DumontDUrville": "2g|||",
                "East_Timor": "2h|||",
                "Easter": "2i|2j||",
                "Ecuador": "2k|||",
                "Europe_Central": "2l|2m||",
                "Europe_Eastern": "2n|2o||",
                "Europe_Further_Eastern": "2p|||",
                "Europe_Western": "2q|2r||",
                "Falkland": "2s|2t||",
                "Fiji": "2u|2v||",
                "French_Guiana": "30|||",
                "French_Southern": "31|||",
                "Galapagos": "32|||",
                "Gambier": "33|||",
                "Georgia": "34|35||",
                "Gilbert_Islands": "36|||",
                "GMT": "37|||",
                "Greenland_Eastern": "38|39||",
                "Greenland_Western": "3a|3b||",
                "Guam": "3c|||",
                "Gulf": "3d|||",
                "Guyana": "3e|||",
                "Hawaii_Aleutian": "3f|3g||",
                "Hong_Kong": "3h|3i||",
                "Hovd": "3j|3k||",
                "India": "3l|||",
                "Indian_Ocean": "3m|||",
                "Indochina": "3n|||",
                "Indonesia_Central": "3o|||",
                "Indonesia_Eastern": "3p|||",
                "Indonesia_Western": "3q|||",
                "Iran": "3r|0||",
                "Irkutsk": "3t|3u||",
                "Israel": "3v|40||",
                "Japan": "41|42|43|44",
                "Kamchatka": "45|46||",
                "Kazakhstan_Eastern": "47|||",
                "Kazakhstan_Western": "48|||",
                "Korea": "49|4a||",
                "Kosrae": "4b|||",
                "Krasnoyarsk": "4c|4d||",
                "Kyrgystan": "4e|||",
                "Lanka": "4f|||",
                "Line_Islands": "4g|||",
                "Lord_Howe": "4h|4i||",
                "Macau": "4j|4k||",
                "Macquarie": "4l|||",
                "Magadan": "4m|4n||",
                "Malaysia": "4o|||",
                "Maldives": "4p|||",
                "Marquesas": "4q|||",
                "Marshall_Islands": "4r|||",
                "Mauritius": "4s|4t||",
                "Mawson": "4u|||",
                "Mexico_Northwest": "4v|50||",
                "Mexico_Pacific": "51|52||",
                "Mongolia": "53|54||",
                "Moscow": "55|56||",
                "Myanmar": "57|||",
                "Nauru": "58|||",
                "Nepal": "59|||",
                "New_Caledonia": "5a|5b||",
                "New_Zealand": "5c|5d||",
                "Newfoundland": "5e|5f||",
                "Niue": "5g|||",
                "Norfolk": "5h|||",
                "Noronha": "5i|5j||",
                "North_Mariana": "5k|||",
                "Novosibirsk": "5l|5m||",
                "Omsk": "5n|5o||",
                "Pakistan": "5p|5q||",
                "Palau": "5r|||",
                "Papua_New_Guinea": "5s|||",
                "Paraguay": "5t|5u||",
                "Peru": "5v|60||",
                "Philippines": "61|62||",
                "Phoenix_Islands": "63|||",
                "Pierre_Miquelon": "64|65||",
                "Pitcairn": "66|||",
                "Ponape": "67|||",
                "Pyongyang": "68|||",
                "Qyzylorda": "69|6a||",
                "Reunion": "6b|||",
                "Rothera": "6c|||",
                "Sakhalin": "6d|6e||",
                "Samara": "6f|6g||",
                "Samoa": "6h|6i||",
                "Seychelles": "6j|||",
                "Singapore": "6k|||",
                "Solomon": "6l|||",
                "South_Georgia": "6m|||",
                "Suriname": "6n|||",
                "Syowa": "6o|||",
                "Tahiti": "6p|||",
                "Taipei": "6q|6r||",
                "Tajikistan": "6s|||",
                "Tokelau": "6t|||",
                "Tonga": "6u|6v||",
                "Truk": "70|||",
                "Turkmenistan": "71|72||",
                "Tuvalu": "73|||",
                "Uruguay": "74|75||",
                "Uzbekistan": "76|77||",
                "Vanuatu": "78|79||",
                "Venezuela": "7a|||",
                "Vladivostok": "7b|7c||",
                "Volgograd": "7d|7e||",
                "Vostok": "7f|||",
                "Wake": "7g|||",
                "Wallis": "7h|||",
                "Yakutsk": "7i|7j||",
                "Yekaterinburg": "7k|7l||"
            }
        }
    },
    "zoneNameIndex": [
        "イラン夏時間",
        "アクレ標準時",
        "アフガニスタン時間",
        "中央アフリカ時間",
        "東アフリカ時間",
        "南アフリカ標準時",
        "西アフリカ標準時",
        "西アフリカ夏時間",
        "アラスカ標準時",
        "アラスカ夏時間",
        "アルトマイ標準時",
        "アルマトイ夏時間",
        "アマゾン標準時",
        "アマゾン夏時間",
        "アメリカ中部標準時",
        "アメリカ中部夏時間",
        "アメリカ東部標準時",
        "アメリカ東部夏時間",
        "アメリカ山地標準時",
        "アメリカ山地夏時間",
        "アメリカ太平洋標準時",
        "アメリカ太平洋夏時間",
        "アナディリ標準時",
        "アナディリ夏時間",
        "アピア標準時",
        "アピア夏時間",
        "アクタウ標準時",
        "アクタウ夏時間",
        "アクトベ標準時",
        "アクトベ夏時間",
        "アラビア標準時",
        "アラビア夏時間",
        "アルゼンチン標準時",
        "アルゼンチン夏時間",
        "西部アルゼンチン標準時",
        "西部アルゼンチン夏時間",
        "アルメニア標準時",
        "アルメニア夏時間",
        "大西洋標準時",
        "大西洋夏時間",
        "オーストラリア中部標準時",
        "オーストラリア中部夏時間",
        "オーストラリア中西部標準時",
        "オーストラリア中西部夏時間",
        "オーストラリア東部標準時",
        "オーストラリア東部夏時間",
        "オーストラリア西部標準時",
        "オーストラリア西部夏時間",
        "アゼルバイジャン標準時",
        "アゼルバイジャン夏時間",
        "アゾレス標準時",
        "アゾレス夏時間",
        "バングラデシュ標準時",
        "バングラデシュ夏時間",
        "ブータン時間",
        "ボリビア時間",
        "ブラジリア標準時",
        "ブラジリア夏時間",
        "ブルネイ・ダルサラーム時間",
        "カーボベルデ標準時",
        "カーボベルデ夏時間",
        "ケイシー基地時間",
        "チャモロ時間",
        "チャタム標準時",
        "チャタム夏時間",
        "チリ標準時",
        "チリ夏時間",
        "中国標準時",
        "中国夏時間",
        "チョイバルサン標準時",
        "チョイバルサン夏時間",
        "クリスマス島時間",
        "ココス諸島時間",
        "コロンビア標準時",
        "コロンビア夏時間",
        "クック諸島標準時",
        "クック諸島夏時間",
        "キューバ標準時",
        "キューバ夏時間",
        "デービス基地時間",
        "デュモン・デュルヴィル基地時間",
        "東ティモール時間",
        "イースター島標準時",
        "イースター島夏時間",
        "エクアドル時間",
        "中央ヨーロッパ標準時",
        "中央ヨーロッパ夏時間",
        "東ヨーロッパ標準時",
        "東ヨーロッパ夏時間",
        "極東ヨーロッパ時間",
        "西ヨーロッパ標準時",
        "西ヨーロッパ夏時間",
        "フォークランド諸島標準時",
        "フォークランド諸島夏時間",
        "フィジー標準時",
        "フィジー夏時間",
        "仏領ギアナ時間",
        "仏領南方南極時間",
        "ガラパゴス時間",
        "ガンビエ諸島時間",
        "ジョージア標準時",
        "ジョージア夏時間",
        "ギルバート諸島時間",
        "グリニッジ標準時",
        "グリーンランド東部標準時",
        "グリーンランド東部夏時間",
        "グリーンランド西部標準時",
        "グリーンランド西部夏時間",
        "グアム時間",
        "湾岸標準時",
        "ガイアナ時間",
        "ハワイ・アリューシャン標準時",
        "ハワイ・アリューシャン夏時間",
        "香港標準時",
        "香港夏時間",
        "ホブド標準時",
        "ホブド夏時間",
        "インド標準時",
        "インド洋時間",
        "インドシナ時間",
        "インドネシア中部時間",
        "インドネシア東部時間",
        "インドネシア西部時間",
        "イラン標準時",
        "アクレ夏時間",
        "イルクーツク標準時",
        "イルクーツク夏時間",
        "イスラエル標準時",
        "イスラエル夏時間",
        "日本標準時",
        "日本夏時間",
        "JST",
        "JDT",
        "ペトロパブロフスク・カムチャツキー標準時",
        "ペトロパブロフスク・カムチャツキー夏時間",
        "東カザフスタン時間",
        "西カザフスタン時間",
        "韓国標準時",
        "韓国夏時間",
        "コスラエ時間",
        "クラスノヤルスク標準時",
        "クラスノヤルスク夏時間",
        "キルギスタン時間",
        "ランカ時間",
        "ライン諸島時間",
        "ロードハウ標準時",
        "ロードハウ夏時間",
        "マカオ標準時",
        "マカオ夏時間",
        "マッコーリー島時間",
        "マガダン標準時",
        "マガダン夏時間",
        "マレーシア時間",
        "モルディブ時間",
        "マルキーズ時間",
        "マーシャル諸島時間",
        "モーリシャス標準時",
        "モーリシャス夏時間",
        "モーソン基地時間",
        "メキシコ北西部標準時",
        "メキシコ北西部夏時間",
        "メキシコ太平洋標準時",
        "メキシコ太平洋夏時間",
        "ウランバートル標準時",
        "ウランバートル夏時間",
        "モスクワ標準時",
        "モスクワ夏時間",
        "ミャンマー時間",
        "ナウル時間",
        "ネパール時間",
        "ニューカレドニア標準時",
        "ニューカレドニア夏時間",
        "ニュージーランド標準時",
        "ニュージーランド夏時間",
        "ニューファンドランド標準時",
        "ニューファンドランド夏時間",
        "ニウエ時間",
        "ノーフォーク島時間",
        "フェルナンド・デ・ノローニャ標準時",
        "フェルナンド・デ・ノローニャ夏時間",
        "北マリアナ諸島時間",
        "ノヴォシビルスク標準時",
        "ノヴォシビルスク夏時間",
        "オムスク標準時",
        "オムスク夏時間",
        "パキスタン標準時",
        "パキスタン夏時間",
        "パラオ時間",
        "パプアニューギニア時間",
        "パラグアイ標準時",
        "パラグアイ夏時間",
        "ペルー標準時",
        "ペルー夏時間",
        "フィリピン標準時",
        "フィリピン夏時間",
        "フェニックス諸島時間",
        "サンピエール・ミクロン標準時",
        "サンピエール・ミクロン夏時間",
        "ピトケアン時間",
        "ポナペ時間",
        "平壌時間",
        "クズロルダ標準時",
        "クズロルダ夏時間",
        "レユニオン時間",
        "ロゼラ基地時間",
        "サハリン標準時",
        "サハリン夏時間",
        "サマラ標準時",
        "サマラ夏時間",
        "サモア標準時",
        "サモア夏時間",
        "セーシェル時間",
        "シンガポール標準時",
        "ソロモン諸島時間",
        "サウスジョージア時間",
        "スリナム時間",
        "昭和基地時間",
        "タヒチ時間",
        "台北標準時",
        "台北夏時間",
        "タジキスタン時間",
        "トケラウ時間",
        "トンガ標準時",
        "トンガ夏時間",
        "チューク時間",
        "トルクメニスタン標準時",
        "トルクメニスタン夏時間",
        "ツバル時間",
        "ウルグアイ標準時",
        "ウルグアイ夏時間",
        "ウズベキスタン標準時",
        "ウズベキスタン夏時間",
        "バヌアツ標準時",
        "バヌアツ夏時間",
        "ベネズエラ時間",
        "ウラジオストク標準時",
        "ウラジオストク夏時間",
        "ボルゴグラード標準時",
        "ボルゴグラード夏時間",
        "ボストーク基地時間",
        "ウェーク島時間",
        "ウォリス・フツナ時間",
        "ヤクーツク標準時",
        "ヤクーツク夏時間",
        "エカテリンブルグ標準時",
        "エカテリンブルグ夏時間",
        "アイルランド標準時",
        "英国夏時間"
    ]
});};
